System.Core 4.0.0.0 System.IO.Stream

The class provides the base class for named and anonymous pipes operations in the .NET Framework. Use the and classes for named pipe operations. Use the and classes for anonymous pipe operations.

For more information about pipes, see Pipes. For an example of anonymous pipes, see How to: Use Anonymous Pipes to Communicate Between Local Processes. For an example of named pipes, see How to: Use Named Pipes to Communicate Between Processes over a Network.

Exposes a object around a pipe, which supports both anonymous and named pipes.

- Constructor
  4.0.0.0

  This constructor uses a pipe transmission mode of .

  Initializes a new instance of the class using the specified value and buffer size.

  One of the values that indicates the direction of the pipe object.
  A positive value greater than or equal to 0 that indicates the buffer size.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified , , and buffer size.

  One of the values that indicates the direction of the pipe object.
  One of the values that indicates the transmission mode of the pipe object.
  A positive value greater than or equal to 0 that indicates the buffer size.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` `` ``

  Pass the returned object to the method to determine how many bytes were read and to release operating system resources used for reading. must be called once for every call to . This can be done either in the same code that called or in a callback that is passed to .

  Use the property to determine whether the current object supports read operations.

  If the pipe is closed or an invalid argument is passed to , the appropriate exceptions are raised immediately. Errors that occur during an asynchronous read request occur on the thread pool thread that is performing the request. The exceptions are raised when the code calls the method.

  Begins an asynchronous read operation.

  An object that references the asynchronous read.

  The buffer to read data into. The byte offset in at which to begin reading. The maximum number of bytes to read. The method to call when the asynchronous read operation is completed. A user-provided object that distinguishes this particular asynchronous read request from other requests.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` `` ``

  must be called once for every call to . This can be done either in the same code that called or in a callback that is passed to .

  Use the property to determine whether the current object supports write operations.

  If the pipe is closed or an invalid argument is passed to , the appropriate exceptions are raised immediately. Errors that occur during an asynchronous write request occur on the thread pool thread that is performing the request. The exceptions are raised when the code calls the method.

  Begins an asynchronous write operation.

  An object that references the asynchronous write operation.

  The buffer that contains the data to write to the current stream. The zero-based byte offset in at which to begin copying bytes to the current stream. The maximum number of bytes to write. The method to call when the asynchronous write operation is completed. A user-provided object that distinguishes this particular asynchronous write request from other requests.
- Property
  4.0.0.0
  System.Boolean To be added.

  If the object is closed, this property returns false.

  Gets a value indicating whether the current stream supports read operations.

- Property
  4.0.0.0
  System.Boolean To be added.

  If the object is closed, this property returns false.

  Gets a value indicating whether the current stream supports seek operations.

- Property
  4.0.0.0
  System.Boolean To be added.

  If the object is closed, this property returns false.

  Gets a value indicating whether the current stream supports write operations.

- Method
  4.0.0.0
  System.MonoTODO
  System.Void To be added.

  Verifies that the pipe is in a proper state for getting or setting properties.

- Method
  4.0.0.0
  System.MonoTODO
  System.Void To be added.

  Verifies that the pipe is in a connected state for read operations.

- Method
  4.0.0.0
  System.MonoTODO
  System.Void To be added.

  Verifies that the pipe is in a connected state for write operations.

- Method
  4.0.0.0
  System.Void ``

  This method is called by the public method and the method. invokes the protected method with the parameter set to true. invokes with set to false. When the disposing parameter is true, this method releases all resources held by any managed objects that this object references. This method invokes the method of each referenced object.

  Releases the unmanaged resources used by the class and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  4.0.0.0
  System.Int32 ``

  This method returns the number of bytes read into the byte array specified by the earlier call to .

  Pass the returned object to the method to determine how many bytes were read and to release operating system resources used for reading. must be called once for every call to . This can be done either in the same code that called or in a callback that is passed to .

  Use the property to determine whether the current object supports read operations.

  If the pipe is closed or an invalid argument is passed to , the appropriate exceptions are raised immediately. Errors that occur during an asynchronous read request occur on the thread pool thread that is performing the request. The exceptions are raised when the code calls the method.

  Ends a pending asynchronous read request.

  The number of bytes that were read. A return value of 0 indicates the end of the stream (the pipe has been closed).

  The reference to the pending asynchronous request.
- Method
  4.0.0.0
  System.Void ``

  must be called once for every call to . This can be done either in the same code that called or in a callback that is passed to .

  Use the property to determine whether the current object supports write operations.

  If the pipe is closed or an invalid argument is passed to , the appropriate exceptions are raised immediately. Errors that occur during an asynchronous write request occur on the thread pool thread that is performing the request. The exceptions are raised when the code the calls method.

  Ends a pending asynchronous write request.

  The reference to the pending asynchronous request.
- Method
  4.0.0.0
  System.MonoTODO
  System.Void

  The method is not supported in the class and does nothing when it is called.

  Clears the buffer for the current stream and causes any buffered data to be written to the underlying device.

- Method
  4.0.0.0
  System.IO.Pipes.PipeSecurity

  An access control list (ACL) describes individuals and/or groups that have, or do not have, rights to perform specific actions on a specified file. For more information, see ACL Technology Overview and How To: Add or Remove Access Control List Entries.

  Gets a object that encapsulates the access control list (ACL) entries for the pipe described by the current object.

  A object that encapsulates the access control list (ACL) entries for the pipe described by the current object.

- Property
  4.0.0.0
  System.Int32 To be added.

  If is 0, the buffer size is allocated as needed.

  Gets the size, in bytes, of the inbound buffer for a pipe.

- Method
  4.0.0.0
  System.Void `` `` ``

  If the pipe is in a connected state, this method also sets the property to true.

  Initializes a object from the specified object.

  The object of the pipe to initialize. true to expose the handle; otherwise, false. true to indicate that the handle was opened asynchronously; otherwise, false.
- Property
  4.0.0.0
  System.Boolean To be added.

  This property enables your code to use the property correctly.

  Gets a value indicating whether a object was opened asynchronously or synchronously.

- Property
  4.0.0.0
  System.Boolean To be added.

  The property returns true only if the object is connected. If this property returns false, the pipe may be waiting to connect, or may be disconnected, closed, or broken.

  Gets or sets a value indicating whether a object is connected.

- Property
  4.0.0.0
  System.Boolean To be added.

  The value of this property is set when obtaining a handle to the pipe that is encapsulated by the current object.

  Gets a value indicating whether a handle to a object is exposed.

- Property
  4.0.0.0
  System.MonoTODO
  System.Boolean To be added.

  This property is relevant if the pipe's property was set to by the most recent call to or .

  Gets a value indicating whether there is more data in the message returned from the most recent read operation.

- Property
  4.0.0.0
  System.Int64 To be added.

  The class does not support the property.

  Gets the length of a stream, in bytes.

- Property
  4.0.0.0
  System.MonoTODO
  System.Int32 To be added.

  If is 0, the buffer size is allocated as needed.

  Gets the size, in bytes, of the outbound buffer for a pipe.

- Property
  4.0.0.0
  System.Int64 To be added.

  The class does not support the property.

  Gets or sets the current position of the current stream.

- Method
  4.0.0.0
  System.MonoTODO
  System.Int32 `` `` ``

  Use the property to determine whether the current object supports read operations.

  Calling the method blocks until bytes are read or the end of the stream is reached. For asynchronous read operations, see and .

  Reads a block of bytes from a stream and writes the data to a specified buffer.

  The total number of bytes that are read into . This might be less than the number of bytes requested if that number of bytes is not currently available, or 0 if the end of the stream is reached.

  When this method returns, contains the specified byte array with the values between and ( + - 1) replaced by the bytes read from the current source. The byte offset in the array at which the bytes that are read will be placed. The maximum number of bytes to read.
- Method
  4.0.0.0
  System.MonoTODO
  System.Int32

  Use the property to determine whether the current object supports read operations.

  Reads a byte from a pipe.

  The byte, cast to , or -1 indicates the end of the stream (the pipe has been closed).

- Property
  4.0.0.0
  System.IO.Pipes.PipeTransmissionMode To be added.

  Anonymous pipes do not support mode message transmission.

  Gets or sets the reading mode for a object.

- Property
  4.0.0.0
  Microsoft.Win32.SafeHandles.SafePipeHandle To be added. To be added.

  Gets the safe handle for the local end of the pipe that the current object encapsulates.

- Method
  4.0.0.0
  System.Int64 `` ``

  The method is not supported in pipes and raises a when it is called.

  Sets the current position of the current stream to the specified value.

  The new position in the stream.

  The point, relative to , to begin seeking from. Specifies the beginning, the end, or the current position as a reference point for , using a value of type .
- Method
  4.0.0.0
  System.Void ``

  An access control list (ACL) describes individuals and/or groups that have, or do not have, rights to perform specific actions on a specified file. For more information, see ACL Technology Overview and How To: Add or Remove Access Control List Entries.

  Applies the access control list (ACL) entries specified by a object to the pipe specified by the current object.

  A object that specifies an access control list (ACL) entry to apply to the current pipe.
- Method
  4.0.0.0
  System.Void ``

  The class does not support the method.

  Sets the length of the current stream to the specified value.

  The new length of the stream.
- Property
  4.0.0.0
  System.IO.Pipes.PipeTransmissionMode To be added.

  Anonymous pipes do not support mode message transmission.

  Gets the pipe transmission mode supported by the current pipe.

- Method
  4.0.0.0
  System.Void

  The method blocks until the other end of the pipe has read all sent bytes.

  Waits for the other end of the pipe to read all sent bytes.

- Method
  4.0.0.0
  System.MonoTODO
  System.Void `` `` ``

  Use the property to determine whether the current object supports write operations.

  Calling the method blocks until bytes are read or the end of the stream is reached. For asynchronous read operations, see and .

  Writes a block of bytes to the current stream using data from a buffer.

  The buffer that contains data to write to the pipe. The zero-based byte offset in at which to begin copying bytes to the current stream. The maximum number of bytes to write to the current stream.
- Method
  4.0.0.0
  System.MonoTODO
  System.Void ``

  Use the property to determine whether the current object supports write operations.

  Writes a byte to the current stream.

  The byte to write to the stream.